/*
 * GravityBombMunition.cc
 *
 *  Created on: Apr 16, 2015
 *      Author: Manuel Eggimann
 */
#include "GravityBombMunition.h"
#include "core/CoreIncludes.h"
#include "core/XMLPort.h"

namespace orxonox
{
RegisterClass(GravityBombMunition);

    GravityBombMunition::GravityBombMunition(Context* context) : Munition(context)
    {
        RegisterObject(GravityBombMunition);
        this->maxMunitionPerMagazine_ = 1;
        this->maxMagazines_ = 30;
        this->unassignedMagazines_ = 15;

        this->deployment_ = MunitionDeployment::Stack;

        this->bAllowMunitionRefilling_ = true;
        this->bAllowMultiMunitionRemovementUnderflow_ = false;

        this->reloadTime_ = 0.0f;
    }

    void GravityBombMunition::XMLPort(Element& xmlelement, XMLPort::Mode mode)
    {
        SUPER(GravityBombMunition, XMLPort, xmlelement, mode);
    }
}




